using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace AR
{
    public class CountSetting : Setting
    {
        public int seq { get; set; }
        public string DateStr { get; set; }



        public void ClearP()
        {
            CountV0 = CountV1 = CountV2 = CountE = CountP0 = CountP1 = CountP2 = CountPrintL = CountPrintR = 0;
            this.Save();
        }

        public void ClearDay()
        {
            DateStr = string.Empty;
            CountDP0 = CountDP1 = CountDP2 = CountDP3 = CountDP4 = 0;
            this.Save();
        }

        public int CountD
        {
            get
            {
                return CountDP0 + CountDP1 + CountDP2 + CountDP3 + CountDP4;
            }
        }
        public int Count
        {
            get
            {
                return CountP0 + CountP1 + CountP2 + CountPrintL + CountPrintR;
            }
        }

        public int CountDP0 { get; set; }
        public int CountDP1 { get; set; }
        public int CountDP2 { get; set; }
        public int CountDP3 { get; set; }
        public int CountDP4 { get; set; }




        //메인카운터        
        public int CountP0 { get; set; }
        public int CountP1 { get; set; }
        public int CountP2 { get; set; }
        public int CountPrintL { get; set; }
        public int CountPrintR { get; set; }
        public int CountE { get; set; }
        public int CountV0 { get; set; }
        public int CountV1 { get; set; }
        public int CountV2 { get; set; }


        public CountSetting()
        {
            this.filename = AR.UTIL.MakePath("Data", "counter.xml");
        }
        public override void AfterLoad()
        {
            //if (CountReset == null) CountReset = DateTime.Parse("1982-11-23");
        }
        public override void AfterSave()
        {
            //throw new NotImplementedException();
        }
    }
}
